Package com.orchestranetworks.dataservices.rest

# Interface Constants.Error

Enclosing interface:
  Constants

public static interface Constants.Error
Exception handling keys.

See Also:
  - Exception handling

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_CODE`
  `static final String`
  `KEY_ERRORS`
  `static final String`
  `KEY_ERRORS_BLOCKS_COMMIT`
  `static final String`
  `KEY_ERRORS_DETAILS`
  `static final String`
  `KEY_ERRORS_LEVEL`
  `static final String`
  `KEY_ERRORS_MESSAGE`
  `static final String`
  `KEY_ERRORS_PATH_IN_DATASET`
  `static final String`
  `KEY_ERRORS_PATH_IN_RECORD`
  `static final String`
  `KEY_ERRORS_ROW_INDEX`
  `static final String`
  `KEY_ERRORS_SEVERITY`
  Deprecated.
  since 6.0.0, replaced by `KEY_ERRORS_LEVEL`.
  `static final String`
  `KEY_ERRORS_USER_CODE`

- ## Field Details

  - ### KEY_CODE

    static final String KEY_CODE
    See Also:
      - `code` JSON property
      - HTTP codes
      - Constant Field Values

  - ### KEY_ERRORS

    static final String KEY_ERRORS
    See Also:
      - `errors` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_SEVERITY

    @Deprecated static final String KEY_ERRORS_SEVERITY
    Deprecated.
    since 6.0.0, replaced by `KEY_ERRORS_LEVEL`.
    See Also:
      - Constant Field Values

  - ### KEY_ERRORS_LEVEL

    static final String KEY_ERRORS_LEVEL
    See Also:
      - `level` JSON property
      - `Severity.getLabel()`
      - Constant Field Values

  - ### KEY_ERRORS_MESSAGE

    static final String KEY_ERRORS_MESSAGE
    See Also:
      - `message` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_DETAILS

    static final String KEY_ERRORS_DETAILS
    See Also:
      - `details` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_USER_CODE

    static final String KEY_ERRORS_USER_CODE
    Since:
      5.9.0
    See Also:
      - `userCode` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_PATH_IN_DATASET

    static final String KEY_ERRORS_PATH_IN_DATASET
    See Also:
      - `pathInDataset` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_PATH_IN_RECORD

    static final String KEY_ERRORS_PATH_IN_RECORD
    See Also:
      - `pathInRecord` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_ROW_INDEX

    static final String KEY_ERRORS_ROW_INDEX
    See Also:
      - `rowIndex` JSON property
      - Constant Field Values

  - ### KEY_ERRORS_BLOCKS_COMMIT

    static final String KEY_ERRORS_BLOCKS_COMMIT
    Since:
      6.0.0
    See Also:
      - `blocksCommit` JSON property
      - Constant Field Values